| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLFloat Class Reference Inheritance diagram for XMLFloat: [legend] Collaboration diagram for XMLFloat: [legend] List of all members.
## Public Methods
| XMLFloat (const XMLCh *const strValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a newly allocated `XMLFloat` object that represents the value represented by the string. More...
| ~XMLFloat ()
| XMLFloat (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
## Static Public Methods
int | compareValues (const XMLFloat *const lValue, const XMLFloat *const rValue)
| Compares the two specified XMLFloat objects. More...
## Protected Methods
void | checkBoundary (const XMLCh *const strValue)
## Constructor & Destructor Documentation
XMLFloat::XMLFloat | ( | const XMLCh *const | strValue,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |
  | Constructs a newly allocated `XMLFloat` object that represents the value represented by the string. Parameters:
  strValue | the `String` to be converted to an `XMLFloat`.
  manager | Pointer to the memory manager to be used to allocate objects.
  Exceptions:
  NumberFormatException | if the `String` does not contain a parsable XMLFloat.
XMLFloat::~XMLFloat | ( |  | ) |
XMLFloat::XMLFloat | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager | ) |
## Member Function Documentation
void XMLFloat::checkBoundary | ( | const XMLCh *const | strValue | ) | `[protected, virtual]`
| Implements XMLAbstractDoubleFloat.
int XMLFloat::compareValues | ( | const XMLFloat *const | lValue,
|  | const XMLFloat *const | rValue
| ) | `[static]`
  | Compares the two specified XMLFloat objects. The result is `true` if and only if the argument is not `null` and that contains the same `int` value. Parameters:
  lValue | the object to compare with.
  rValue | the object to compare against.
Returns: `true` if the objects are the same; `false` otherwise.
The documentation for this class was generated from the following file: XMLFloat.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.